Create tracking
Create a new rank tracking for a single domain on a specific search location and platform. Pass the target domain, an initial list of keywords, the location_id and platform_id. Once the tracking is created, its keywords are queued for SERP crawl and default weekly and monthly email reports are automatically generated.
Platforms
Use platform_id to choose the platform: 1 for desktop, 2 for mobile. For multiple platforms in a single call, see /serpwatcher/multiple-trackings.
Duplicates
A tracking with the same domain, location and platform already in use returns HTTP 409.
Authorization
ApiKeyAuth API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.mangools.com/v3/serpwatcher/trackings" \ -H "Content-Type: application/json" \ -d '{ "domain": "string", "location_id": 0, "platform_id": 0, "keywords": [ "string" ] }'{
"tracking": {
"_id": "string",
"domain": "string",
"location": {
"_id": 2703,
"label": "Slovakia",
"code": "us"
},
"platform_id": 0,
"count": 0,
"tracked_keyword_ids": [
"string"
],
"tracking_config": {
"address": "string",
"ludocid": "string",
"name": "string",
"place_id": "string"
},
"share_token": "string",
"created_at": 0,
"is_deleted": true,
"reports_active": [
0
],
"stats": {
"timeframes": {
"property1": {
"estimated_visits": 0,
"performance_index": 0,
"visibility_index": 0,
"performance_total": 0,
"rank_distribution": {
"1": 0,
"3": 1,
"10": 3,
"20": 0,
"100": 0,
"rest": 5
},
"keywords_with_history": 0,
"keywords_eligible": 0
},
"property2": {
"estimated_visits": 0,
"performance_index": 0,
"visibility_index": 0,
"performance_total": 0,
"rank_distribution": {
"1": 0,
"3": 1,
"10": 3,
"20": 0,
"100": 0,
"rest": 5
},
"keywords_with_history": 0,
"keywords_eligible": 0
}
}
}
},
"keywords": [
{
"keyword_id": "string",
"tracking_id": "string",
"user_id": "string",
"kw": "string",
"location_id": 0,
"platform_id": 0
}
],
"reports": [
{
"_id": "string",
"user_id": "string",
"tracking_id": "string",
"type": 0,
"emails": [
"string"
],
"name": "string",
"triggers": [
0
],
"created_at": 0
}
],
"estimatedTimeProcessing": 0,
"postponed_processing": true,
"postponed_keywords": 0
}{
"error": {
"type": "AuthError",
"message": "Invalid API Key"
}
}{
"error": {
"type": "ValidationError",
"message": "Your request is invalid",
"errors": [
"\"kw\" is required"
]
}
}